program nuts;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var
   m,n,k,t,i:integer;

begin
assignfile(input,'NUTS.IN');
reset(input);
readln(t);
for i:=1 to t do begin
read(n,m);
readln(k);
if n*m<k then
writeln('NO')
else
writeln('YES');
end;

end.
